ConnectorStoreAppender (Tomcat API Documentation)
Keywords: org.apache.catalina.storeconfig.ConnectorStoreAppender class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.storeconfig
Class ConnectorStoreAppender

    java.lang.Object
      org.apache.catalina.storeconfig.StoreAppender
          org.apache.catalina.storeconfig.ConnectorStoreAppender

public class ConnectorStoreAppender
extends StoreAppender

Store the Connector attributes. Connector has really special design. A Connector is only a startup Wrapper for a ProtocolHandler. This meant that ProtocolHandler get all there attribtues from the Connector attribtue map. Strange is that some attributes change there name and the attribute sslProtocol need a sepzial handling

Author:
  Peter Rossbach

Field Summary
`protected static java.util.HashMap` | `replacements`

Constructor Summary
`ConnectorStoreAppender()`

Method Summary
`protected java.io.File` | `getCatalinaBase()`
`protected java.io.File` | `getJkHomeBase(java.lang.String jkHome, java.io.File appBase)`
`protected java.util.List` | `getPropertyKeys(Connector bean)` Get all properties from Connector and current ProtocolHandler
`boolean` | `isPrintValue(java.lang.Object bean, java.lang.Object bean2, java.lang.String attrName, StoreDescription desc)` print this Attribute value or not
`void` | `printAttributes(java.io.PrintWriter writer, int indent, boolean include, java.lang.Object bean, StoreDescription desc)` Store the relevant attributes of the specified JavaBean.
`void` | `printOpenTag(java.io.PrintWriter aWriter, int indent, java.lang.Object bean, StoreDescription aDesc)` print only the open tag with all attributes
`void` | `printTag(java.io.PrintWriter aWriter, int indent, java.lang.Object bean, StoreDescription aDesc)` print a tag for connector attributes (override)
`void` | `printValue(java.io.PrintWriter writer, int indent, java.lang.String name, java.lang.Object value)` print a value but replace attribute name
`protected void` | `storeConnectorAttribtues(java.io.PrintWriter aWriter, int indent, java.lang.Object bean, StoreDescription aDesc)` print Attributes

Methods inherited from class org.apache.catalina.storeconfig.StoreAppender
`convertStr, defaultInstance, isPersistable, printAttribute, printAttributes, printCloseTag, printIndent, printTagArray, printTagContent, printTagValueArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### replacements

    protected static java.util.HashMap replacements

Constructor Detail

### ConnectorStoreAppender

    public ConnectorStoreAppender()

Method Detail

### printAttributes

    public void printAttributes(java.io.PrintWriter writer,
                                int indent,
                                boolean include,
                                java.lang.Object bean,
                                StoreDescription desc)
                         throws java.lang.Exception

  Store the relevant attributes of the specified JavaBean.

  Overrides:
    `printAttributes` in class `StoreAppender`
  Parameters:
    `writer` - PrintWriter to which we are storing
    `include` - Should we include a `className` attribute?
    `bean` - Bean whose properties are to be rendered as attributes,
    `desc` - RegistryDescrpitor from this bean
  Throws:
    `java.lang.Exception` - if an exception occurs while storing

### getPropertyKeys

    protected java.util.List getPropertyKeys(Connector bean)
                                      throws java.beans.IntrospectionException

  Get all properties from Connector and current ProtocolHandler

  Parameters:
    `bean` -
  Returns:
    List of Connector Properties
  Throws:
    `java.beans.IntrospectionException`

### storeConnectorAttribtues

    protected void storeConnectorAttribtues(java.io.PrintWriter aWriter,
                                            int indent,
                                            java.lang.Object bean,
                                            StoreDescription aDesc)
                                     throws java.lang.Exception

  print Attributes

  Parameters:
    `aWriter` -
    `indent` -
    `bean` -
    `aDesc` -
  Throws:
    `java.lang.Exception`

### printOpenTag

    public void printOpenTag(java.io.PrintWriter aWriter,
                             int indent,
                             java.lang.Object bean,
                             StoreDescription aDesc)
                      throws java.lang.Exception

  Description copied from class: `StoreAppender`
  print only the open tag with all attributes

  Overrides:
    `printOpenTag` in class `StoreAppender`
  Parameters:
    `aWriter` -
    `indent` -
    `bean` -
    `aDesc` -
  Throws:
    `java.lang.Exception`

### printTag

    public void printTag(java.io.PrintWriter aWriter,
                         int indent,
                         java.lang.Object bean,
                         StoreDescription aDesc)
                  throws java.lang.Exception

  print a tag for connector attributes (override)

  Overrides:
    `printTag` in class `StoreAppender`
  Parameters:
    `aWriter` -
    `indent` -
    `bean` -
    `aDesc` -
  Throws:
    `java.lang.Exception`
  See Also:
    `StoreAppender.printTag(java.io.PrintWriter, int, java.lang.Object, org.apache.catalina.storeconfig.StoreDescription)`

### printValue

    public void printValue(java.io.PrintWriter writer,
                           int indent,
                           java.lang.String name,
                           java.lang.Object value)

  print a value but replace attribute name

  Overrides:
    `printValue` in class `StoreAppender`
  Parameters:
    `writer` -
    `name` -
    `value` -
  See Also:
    `StoreAppender.printValue(java.io.PrintWriter, int, java.lang.String, java.lang.Object)`

### isPrintValue

    public boolean isPrintValue(java.lang.Object bean,
                                java.lang.Object bean2,
                                java.lang.String attrName,
                                StoreDescription desc)

  Description copied from class: `StoreAppender`
  print this Attribute value or not

  Overrides:
    `isPrintValue` in class `StoreAppender`
  Parameters:
    `bean` - orginal bean
    `bean2` - default bean
    `attrName` - attribute name
    `desc` - StoreDescription from bean
  Returns:
    True if it's a printing value

### getCatalinaBase

    protected java.io.File getCatalinaBase()

### getJkHomeBase

    protected java.io.File getJkHomeBase(java.lang.String jkHome,
                                         java.io.File appBase)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.